/*
 * JBoss, Home of Professional Open Source
 * Copyright 2010, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */

package org.jboss.remoting3.metadata;

import org.jboss.remoting3.Endpoint;
import org.jboss.remoting3.Registration;
import org.jboss.remoting3.security.SimpleServerAuthenticationProvider;
import org.jboss.remoting3.spi.ProtocolServiceType;
import org.jboss.xnio.IoUtils;

public final class SimpleAuthenticationServiceManager {

    private final String name;
    private final Endpoint endpoint;

    private Registration serviceRegistration;
    private SimpleServerAuthenticationProvider provider;

    public SimpleAuthenticationServiceManager(final Endpoint endpoint, final String name) {
        this.endpoint = endpoint;
        this.name = name;
    }

    public void start() {
    }

    public void addUser(final String userName, final String userRealm, final char[] password) {
        provider.addUser(userName, userRealm, password);
    }

    public void stop() {
    }
}
