/*
 * JBoss, Home of Professional Open Source
 * Copyright 2010, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */

package org.jboss.remoting3.metadata;

import org.jboss.util.StringPropertyReplacer;

import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;

@XmlType(name = "user-entry", propOrder = {})
public final class UserEntryMetaData {
    private String userName;
    private String realmName;
    private String password;

    public String getUserName() {
        return userName;
    }

    @XmlAttribute(name = "user-name", required = true)
    public void setUserName(final String userName) {
        this.userName = StringPropertyReplacer.replaceProperties(userName);
    }

    public String getRealmName() {
        return realmName;
    }

    @XmlAttribute(name = "realm-name", required = true)
    public void setRealmName(final String realmName) {
        this.realmName = StringPropertyReplacer.replaceProperties(realmName);
    }

    public String getPassword() {
        return password;
    }

    @XmlAttribute(required = true)
    public void setPassword(final String password) {
        this.password = password;
    }
}
